|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.randomcoder.article.comment.CommentCommand
public class CommentCommand
Command class for comment posting.
Copyright (c) 2006, Craig Condit. All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
* Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
| Constructor Summary | |
|---|---|
CommentCommand()
|
|
| Method Summary | |
|---|---|
void |
bind(Article parent,
boolean isAnonymous)
Binds non-request parameters to form. |
String |
getAnonymousEmailAddress()
Gets the anonymous email address of the comment poster. |
String |
getAnonymousUserName()
Get the anonymous name of the comment poster. |
String |
getAnonymousWebsite()
Gets the anonymous website associated with this user. |
Article |
getArticle()
Gets the article associated with this comment command |
String |
getContent()
Gets the text of the comment. |
String |
getTitle()
Gets the title of this comment. |
boolean |
isAnonymous()
Determines if this comment is anonymous or not. |
void |
produce(Comment comment)
Populates a comment object with data. |
void |
setAnonymousEmailAddress(String anonymousEmailAddress)
Sets the anonymous email address of the comment poster. |
void |
setAnonymousUserName(String anonymousUserName)
Set the anonymous name of the comment poster. |
void |
setAnonymousWebsite(String anonymousWebsite)
Sets the anonymous website associated with this user. |
void |
setContent(String content)
Sets the text of the comment. |
void |
setTitle(String title)
Sets the title of this comment. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public CommentCommand()
| Method Detail |
|---|
public Article getArticle()
public boolean isAnonymous()
public void bind(Article parent,
boolean isAnonymous)
parent - parent articleisAnonymous - true if anonymous, false otherwisepublic String getAnonymousUserName()
public void setAnonymousUserName(String anonymousUserName)
anonymousUserName - anonymous namepublic String getAnonymousEmailAddress()
public void setAnonymousEmailAddress(String anonymousEmailAddress)
anonymousEmailAddress - email addresspublic String getAnonymousWebsite()
public void setAnonymousWebsite(String anonymousWebsite)
anonymousWebsite - public String getTitle()
public void setTitle(String title)
title - titlepublic String getContent()
public void setContent(String content)
content - comment textpublic void produce(Comment comment)
produce in interface Producer<Comment>comment - target object to write
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||